Get Resource Action Form 1

Get Resource Action Form 1
Fetch Form for resource action.

Returns Form for an action for the resource specified by its Resource ID and Action ID.

Request
URI
GET
https://{api_host}/deployment/api/deployments/{deploymentId}/resources/{resourceId}/actions/{actionId}/form
COPY
Path Parameters
string
deploymentId
Required

Deployment ID

string
resourceId
Required

Resource ID

string
actionId
Required

Action ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns com.vmware.tango.common.gateway.dto.FormDefinition of type(s) application/json
"com.vmware.tango.common.gateway.dto.FormDefinition Object"

401

Unauthorized

Returns com.vmware.tango.common.gateway.dto.FormDefinition of type(s) application/json
"com.vmware.tango.common.gateway.dto.FormDefinition Object"

404

Not Found

Returns com.vmware.tango.common.gateway.dto.FormDefinition of type(s) application/json
"com.vmware.tango.common.gateway.dto.FormDefinition Object"

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/deployment/api/deployments/{deploymentId}/resources/{resourceId}/actions/{actionId}/form